/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Interventional Drug
 */
public enum EnumCV_InterventionalDrug {

	//Interventional Drug - CID 10
	ETHANOL_C_21005("C-21005"),
	METHYLENE_BLUE_C_22947("C-22947"),
	ANTIHISTAMINE_C_51000("C-51000"),
	ATROPINE_C_67770("C-67770"),
	DIURETIC_C_72000("C-72000"),
	ANTIARRHYTHMIC_DRUG_C_80110("C-80110"),
	INOTROPIC_AGENT_C_80120("C-80120"),
	CARDIOTONIC_DRUG_C_80123("C-80123"),
	CARDIAC_DEPRESSANT_DRUG_C_80125("C-80125"),
	CARDIAC_ADRENERGIC_BLOCKING_AGENT_C_80130("C-80130"),
	ALPHA_ADRENERGIC_BLOCKING_AGENT_C_80131("C-80131"),
	BETA_ADRENERGIC_BLOCKING_AGENT_C_80135("C-80135"),
	DIGOXIN_C_80330("C-80330"),
	LIDOCAINE_C_80400("C-80400"),
	LIDOCAINE_HYDROCHLORIDE_C_80401("C-80401"),
	NIFEDIPINE_C_80430("C-80430"),
	PROPRANOLOL_C_80450("C-80450"),
	QUINIDINE_C_80460("C-80460"),
	VERAPAMIL_C_80490("C-80490"),
	HYPOTENSIVE_AGENT_C_81100("C-81100"),
	CENTRALLY_ACTING_HYPOTENSIVE_AGENT_C_81120("C-81120"),
	NITROGLYCERIN_C_81560("C-81560"),
	GLUCAGON_PREPARATION_C_A2010("C-A2010"),
	ANTICOAGULANT_C_A6500("C-A6500"),
	WARFARIN_C_A6530("C-A6530"),
	HEPARIN_C_A6540("C-A6540"),
	ANTI_HEPARIN_AGENT_C_A6700("C-A6700"),
	PROTAMINE_SULFATE_C_A6710("C-A6710"),
	COAGULANT_C_A6900("C-A6900"),
	INJECTABLE_FIBRINOGEN_C_A6920("C-A6920"),
	HEMOSTATIC_AGENT_C_A7000("C-A7000"),
	ASTRINGENT_DRUG_C_A7001("C-A7001"),
	ANTIHEMOPHILIC_FACTOR_PREPARATION_C_A7021("C-A7021"),
	THROMBIN_PREPARATION_C_A7040("C-A7040"),
	THROMBOPLASTIN_PREPARATION_C_A7042("C-A7042"),
	DEXTRAN_C_A7220("C-A7220"),
	THROMBOLYTIC_AGENT_C_A7400("C-A7400"),
	STREPTOKINASE_PREPARATION_C_A7420("C-A7420"),
	UROKINASE_PREPARATION_C_A7430("C-A7430"),
	INJECTABLE_FIBRINOLYSIN_C_A7440("C-A7440"),
	PRISCOLINE_HYDROCHOLORIDE_AMPULS_C_C2318("C-C2318"),
	EPINEPHRINE_F_B2110("F-B2110");

	private String value;

	EnumCV_InterventionalDrug(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
